name: Check Runner IP Address

on:
  push:
    paths:
      - '.gitea/workflows/ip-check.yml'
  workflow_dispatch:

jobs:
  check-ip:
    runs-on: [ubuntu:host]
    steps:
      - name: Checkout code
        uses: actions/checkout@v3

      - name: Get runner IP address
        run: |
          echo "Runner IP address:"
          curl ip.sb
          
          echo "\nAdditional network information:"
          hostname -I
          whoami
          uname -a
